*** a/src/backend/access/transam/xlog.c
--- b/src/backend/access/transam/xlog.c
***************
*** 69,74 **** extern uint32 bootstrap_data_checksum_version;
--- 69,76 ----
  #define PROMOTE_SIGNAL_FILE		"promote"
  #define FALLBACK_PROMOTE_SIGNAL_FILE "fallback_promote"
  
+ /* Number of slots for concurrent xlog insertions */
+ #define XLOG_INSERT_SLOTS		8
  
  /* User-settable parameters */
  int			CheckPointSegments = 3;
***************
*** 85,91 **** int			sync_method = DEFAULT_SYNC_METHOD;
  int			wal_level = WAL_LEVEL_MINIMAL;
  int			CommitDelay = 0;	/* precommit delay in microseconds */
  int			CommitSiblings = 5; /* # concurrent xacts needed to sleep */
- int			num_xloginsert_slots = 8;
  
  #ifdef WAL_DEBUG
  bool		XLOG_DEBUG = false;
--- 87,92 ----
*** a/src/backend/utils/misc/guc.c
--- b/src/backend/utils/misc/guc.c
***************
*** 2078,2094 **** static struct config_int ConfigureNamesInt[] =
  	},
  
  	{
- 		{"xloginsert_slots", PGC_POSTMASTER, WAL_SETTINGS,
- 			gettext_noop("Sets the number of slots for concurrent xlog insertions."),
- 			NULL,
- 			GUC_NOT_IN_SAMPLE
- 		},
- 		&num_xloginsert_slots,
- 		8, 1, 1000,
- 		NULL, NULL, NULL
- 	},
- 
- 	{
  		/* see max_connections */
  		{"max_wal_senders", PGC_POSTMASTER, REPLICATION_SENDING,
  			gettext_noop("Sets the maximum number of simultaneously running WAL sender processes."),
--- 2078,2083 ----
*** a/src/include/access/xlog.h
--- b/src/include/access/xlog.h
***************
*** 192,198 **** extern bool EnableHotStandby;
  extern bool fullPageWrites;
  extern bool wal_log_hints;
  extern bool log_checkpoints;
- extern int	num_xloginsert_slots;
  
  /* WAL levels */
  typedef enum WalLevel
--- 192,197 ----
